Changeset db8756e in sasmodels
- Timestamp:
- Mar 13, 2015 4:37:58 PM (10 years ago)
- Branches:
- master, core_shell_microgels, costrafo411, magnetic_model, release_v0.94, release_v0.95, ticket-1257-vesicle-product, ticket_1156, ticket_1265_superball, ticket_822_more_unit_tests
- Children:
- 29aa28f
- Parents:
- d9633b1
- Files:
-
- 3 edited
Legend:
- Unmodified
- Added
- Removed
-
extra/build_linux.sh
r6d2abaa rdb8756e 12 12 "$EASY_INSTALL" -d "$WORKSPACE/utils" unittest-xml-reporting pylint 13 13 14 cd $WORKSPACE 15 python -m sasmodels.model_test opencl_and_dll all || exit 1 14 # Run tests 15 STATUS=0 16 python -m sasmodels.model_test opencl_and_dll all || STATUS=$? 17 python -m sasmodels.resolution || STATUS=$? 16 18 17 python extra/run-pylint.py > pylint_violations.txt || exit 0 19 # Run lint 20 python extra/run-pylint.py > pylint_violations.txt 21 22 exit $STATUS 18 23 19 24 -
sasmodels/model_test.py
raa4946b rdb8756e 45 45 46 46 import sys 47 import xmlrunner48 47 import unittest 49 48 … … 207 206 Returns 0 if success or 1 if any tests fail. 208 207 """ 208 import xmlrunner 209 209 210 models = sys.argv[1:] 210 211 if models and models[0] == 'opencl': -
sasmodels/resolution.py
rd9633b1 rdb8756e 430 430 431 431 432 def main(): 433 """ 434 Run tests given is sys.argv. 435 436 Returns 0 if success or 1 if any tests fail. 437 """ 438 import sys 439 import xmlrunner 440 441 suite = unittest.TestSuite() 442 suite.addTest(unittest.defaultTestLoader.loadTestsFromModule(sys.modules[__name__])) 443 444 runner = xmlrunner.XMLTestRunner(output='logs') 445 result = runner.run(suite) 446 return 1 if result.failures or result.errors else 0 447 448 432 449 ############################################################################ 433 450 # usage demo … … 476 493 477 494 if __name__ == "__main__": 478 demo() 479 480 495 #demo() 496 main() 497 498
Note: See TracChangeset
for help on using the changeset viewer.